Subject: Re: bug#70929: 30.0.50; eglot--apply-text-edits prevents point adjustment

From: Troy Brown <[email-masked]>
Date: Tue, 14 May 2024 08:38:59 -0400

On Tue, May 14, 2024 at 1:30 AM Felician Nemeth
<[email-masked]> wrote:
>
> If I remember correctly, the LSP specification does not say where the
> point should be after onTypeFormatting.  Something like this motivated
> the rust-analyzer developers to introduce their own SnippetTextEdit
> extension.  The upcoming LSP version is going to contain a slightly
> different version of the SnippetTextEdit.
>
> If my memories are correct, Ada Language Server should use this
> SnippetTextEdit to unambiguously communicate its intent here.  (However,
> Eglot does not currently supports SnippetTextEdit.)

It was my understanding as well that they went out of their way to not
indicate point location, however you end up with editors doing
different things.  Maybe the Ada LS should take a different approach
here though, as you mention.